--rev 17 -  rewrite..

require "classes/Card"
require "classes/Cardspot"
require "classes/Score"

playerScore = 5
enemyScore = 5
cardSpotIsFull = {0,0,0,0,0,0,0,0,0}
cardSelected = 0;
spotSelected = 0;
gameStarted = 0;
turn = 0;
enemyHandOrderNum = love.math.random(1,5);
if(enemyHandOrderNum==1) then
enemyHand = {6,7,8,9,10}
elseif (enemyHandOrderNum==2) then
enemyHand = {10,7,9,8,6}
elseif (enemyHandOrderNum==3) then
enemyHand = {7,9,10,6,8}
elseif (enemyHandOrderNum==4) then
enemyHand = {8,6,7,10,9}
elseif (enemyHandOrderNum==5) then
enemyHand = {9,8,6,10,7}
end
enemyHandPos = 1;

function updateScore(scoreObject, scoreValue, cardspotPlaced)
    if(scoreValue<10) then
        scoreObject.image = love.graphics.newImage(love.image.newImageData("images/scores/"..scoreValue..".png"))
        cardspotPlaced.placed = 1
        if(turn==1) then
            turn = 2
        elseif(turn==2) then
            turn = 1
        end
    end
end

function updateCardImage()
    
        if(p1.owner==1 and p1.used==1) then
            p1.filename = PlayerCards[selectedPlayerCards[1]]
            p1.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p1.filename..".jpg"))
            print("p1 owner "..p1.owner)
        end
        if(p1.owner==2 and p1.used==1) then
            p1.filename = EnemyCards[selectedPlayerCards[1]]
            p1.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p1.filename..".jpg"))
            print("p1 owner "..p1.owner)
        end
    
        if(p2.owner==1 and p2.used==1) then
            p2.filename = PlayerCards[selectedPlayerCards[2]]
            p2.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p2.filename..".jpg"))
        end
        if(p2.owner==2 and p2.used==1) then
            p2.filename = EnemyCards[selectedPlayerCards[2]]
            p2.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p2.filename..".jpg"))
        end
    
        if(p3.owner==1 and p3.used==1) then
            p3.filename = PlayerCards[selectedPlayerCards[3]]
            p3.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p3.filename..".jpg"))
        end
        if(p3.owner==2 and p3.used==1) then
            p3.filename = EnemyCards[selectedPlayerCards[3]]
            p3.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p3.filename..".jpg"))
        end
    
        if(p4.owner==1 and p4.used==1) then
            p4.filename = PlayerCards[selectedPlayerCards[4]]
            p4.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p4.filename..".jpg"))
        end
        if(p4.owner==2 and p4.used==1) then
            p4.filename = EnemyCards[selectedPlayerCards[4]]
            p4.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p4.filename..".jpg"))
        end
    
        if(p5.owner==1 and p5.used==1) then
            p5.filename = PlayerCards[selectedPlayerCards[5]]
            p5.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p5.filename..".jpg"))
        end
        if(p5.owner==2 and p5.used==1) then
            p5.filename = EnemyCards[selectedPlayerCards[5]]
            p5.image = love.graphics.newImage(love.image.newImageData("images/cards/"..p5.filename..".jpg"))
        end
    
        if(e1.owner==1 and e1.used==1) then
            e1.filename = PlayerCards[selectedEnemyCards[1]]
            e1.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e1.filename..".jpg"))
        end
        if(e1.owner==2 and e1.used==1) then
            e1.filename = PlayerCards[selectedEnemyCards[1]]
            e1.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e1.filename..".jpg"))
        end
    
        if(e2.owner==1 and e2.used==1) then
            e2.filename = PlayerCards[selectedEnemyCards[2]]
            e2.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e2.filename..".jpg"))
        end
        if(e2.owner==2 and e2.used==1) then
            e2.filename = EnemyCards[selectedEnemyCards[2]]
            e2.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e2.filename..".jpg"))
        end
    
        if(e3.owner==1 and e3.used==1) then
            e3.filename = PlayerCards[selectedEnemyCards[3]]
            e3.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e3.filename..".jpg"))
        end
        if(e3.owner==2 and e3.used==1) then
            e3.filename = EnemyCards[selectedEnemyCards[3]]
            e3.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e3.filename..".jpg"))
        end
    
        if(e4.owner==1 and e4.used==1) then
            e4.filename = PlayerCards[selectedEnemyCards[4]]
            e4.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e4.filename..".jpg"))
        end
        if(e4.owner==2 and e4.used==1) then
            e4.filename = EnemyCards[selectedEnemyCards[4]]
            e4.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e4.filename..".jpg"))
        end
    
        if(e5.owner==1 and e5.used==1) then
            e5.filename = PlayerCards[selectedEnemyCards[5]]
            e5.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e5.filename..".jpg"))
        end
        if(e5.owner==2 and e5.used==1) then
            e5.filename = EnemyCards[selectedEnemyCards[5]]
            e5.image = love.graphics.newImage(love.image.newImageData("images/cards/"..e5.filename..".jpg"))
        end
    
end

function compareCardValues()

    print("COMPARE: cardSelected "..cardSelected.." and ".."spotSelected "..spotSelected)
  
    if(spotSelected==1) then
        if((c1.eAtk>0 and c2.wAtk>0) and (c1.eAtk>c2.wAtk)) then
            if(c1.owner==1 and c2.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c1 win card c2")
                updateScore(s1,playerScore,c1)
            elseif(c1.owner==2 and c2.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c1 win card c2")
                updateScore(s2,enemyScore,c1)
            end
        end

        if(c1.sAtk>0 and c4.nAtk>0) and (c1.sAtk>c4.nAtk) then
            if(c1.owner==1 and c4.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c1 win card c4")
                updateScore(s1,playerScore,c1)
            elseif(c1.owner==2 and c4.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c1 win card c4")
                updateScore(s2,enemyScore,c1)
            end
        end
    end
    if(spotSelected==2) then
        if(c2.wAtk>0 and c1.eAtk>0) and (c2.wAtk>c1.eAtk) then
            if(c2.owner==1 and c1.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c2 win card c1")
                updateScore(s1,playerScore,c2)
            elseif(c2.owner==2 and c1.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c2 win card c1")
                updateScore(s2,enemyScore,c2)
            end
        end

        if(c2.eAtk>0 and c3.wAtk>0) and (c2.eAtk>c3.wAtk) then
            if(c2.owner==1 and c3.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c2 win card c3")
                updateScore(s1,playerScore,c2)
            elseif(c2.owner==2 and c3.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c2 win card c3")
                updateScore(s2,enemyScore,c2)
            end
        end

        if(c2.sAtk>0 and c5.nAtk>0) and (c2.sAtk>c5.nAtk) then
            if(c2.owner==1 and c5.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c2 win card c5")
                updateScore(s1,playerScore,c2)
            elseif(c2.owner==2 and c5.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c2 win card c5")
                updateScore(s2,enemyScore,c2)
            end
        end
    end
    if(spotSelected==3) then
        if(c3.wAtk>0 and c2.eAtk>0) and (c3.wAtk>c2.eAtk) then
            if(c3.owner==1 and c2.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c3 win card c2")
                updateScore(s1,playerScore,c3)
            elseif(c3.owner==2 and c2.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c3 win card c2")
                updateScore(s2,enemyScore,c3)
            end
        end

        if(c3.sAtk>0 and c6.nAtk>0) and (c3.sAtk>c6.nAtk) then
            if(c3.owner==1 and c6.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c3 win card c6")
                updateScore(s1,playerScore,c3)
            elseif(c3.owner==2 and c6.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c3 win card c6")
                updateScore(s2,enemyScore,c3)
            end
        end
    end
    if(spotSelected==4) then
        if(c4.nAtk>0 and c1.sAtk>0) and (c4.nAtk>c1.sAtk) then
            if(c4.owner==1 and c1.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c4 win card c1")
                updateScore(s1,playerScore,c4)
            elseif(c4.owner==2 and c1.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c4 win card c1")
                updateScore(s2,enemyScore,c4)
            end
        end

        if(c4.eAtk>0 and c5.wAtk>0) and (c4.eAtk>c5.wAtk) then
            if(c4.owner==1 and c5.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c4 win card c5")
                updateScore(s1,playerScore,c4)
            elseif(c4.owner==2 and c5.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c4 win card c5")
                updateScore(s2,enemyScore,c4)
            end
        end

        if(c4.sAtk>0 and c7.nAtk>0) and (c4.sAtk>c7.nAtk) then
            if(c4.owner==1 and c7.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c4 win card c7")
                updateScore(s1,playerScore,c4)
            elseif(c4.owner==2 and c7.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c4 win card c7")
                updateScore(s2,enemyScore,c4)
            end
        end
    end
    if(spotSelected==5) then
        if(c5.wAtk>0 and c4.eAtk>0) and (c5.wAtk>c4.eAtk) then
            if(c5.owner==1 and c4.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c5 win card c4")
                updateScore(s1,playerScore,c5)
            elseif(c5.owner==2 and c4.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c5 win card c4")
                updateScore(s2,enemyScore,c5)
            end
        end

        if(c5.nAtk>0 and c2.sAtk>0) and (c5.nAtk>c2.sAtk) then
            if(c5.owner==1 and c2.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c5 win card c2")
                updateScore(s1,playerScore,c5)
            elseif(c5.owner==2 and c2.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c5 win card c2")
                updateScore(s2,enemyScore,c5)
            end
        end

        if(c5.eAtk>0 and c6.wAtk>0) and (c5.eAtk>c6.wAtk) then
            if(c5.owner==1 and c6.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c5 win card c6")
                updateScore(s1,playerScore,c5)
            elseif(c5.owner==2 and c6.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c5 win card c6")
                updateScore(s2,enemyScore,c5)
            end
        end

        if(c5.sAtk>0 and c8.nAtk>0) and (c5.sAtk>c8.nAtk) then
            if(c5.owner==1 and c8.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c5 win card c8")
                updateScore(s1,playerScore,c5)
            elseif(c5.owner==2 and c8.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c5 win card c8")
                updateScore(s2,enemyScore,c5)
            end
        end
    end
    if(spotSelected==6) then
        if(c6.wAtk>0 and c5.eAtk>0) and (c6.wAtk>c5.eAtk) then
            if(c6.owner==1 and c5.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c6 win card c5")
                updateScore(s1,playerScore,c6)
            elseif(c6.owner==2 and c5.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c6 win card c5")
                updateScore(s2,enemyScore,c6)
            end
        end

        if(c6.nAtk>0 and c3.sAtk>0) and (c6.nAtk>c3.sAtk) then
            if(c6.owner==1 and c3.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c6 win card c3")
                updateScore(s1,playerScore,c6)
            elseif(c6.owner==2 and c3.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c6 win card c3")
                updateScore(s2,enemyScore,c6)
            end
        end

        if(c6.sAtk>0 and c9.nAtk>0) and (c6.sAtk>c9.nAtk) then
            if(c6.owner==1 and c9.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c6 win card c9")
                updateScore(s1,playerScore,c6)
            elseif(c6.owner==2 and c9.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c6 win card c9")
                updateScore(s2,enemyScore,c6)
            end
        end
    end
    if(spotSelected==7) then
        if(c7.nAtk>0 and c4.sAtk>0) and (c7.nAtk>c4.sAtk) then
            if(c7.owner==1 and c4.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c7 win card c4")
                updateScore(s1,playerScore,c7)
            elseif(c7.owner==2 and c4.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c7 win card c4")
                updateScore(s2,enemyScore,c7)
            end
        end

        if(c7.eAtk>0 and c8.wAtk>0) and (c7.eAtk>c8.wAtk) then
            if(c7.owner==1 and c8.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c7 win card c8")
                updateScore(s1,playerScore,c7)
            elseif(c7.owner==2 and c8.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c7 win card c8")
                updateScore(s2,enemyScore,c7)
            end
        end
    end
    if(spotSelected==8) then
        if(c8.wAtk>0 and c7.eAtk>0) and (c8.wAtk>c7.eAtk) then
            if(c8.owner==1 and c7.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c8 win card c7")
                updateScore(s1,playerScore,c8)
            elseif(c8.owner==2 and c7.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c8 win card c7")
                updateScore(s2,enemyScore,c8)
            end
        end

        if(c8.nAtk>0 and c5.sAtk>0) and (c8.nAtk>c5.sAtk) then
            if(c8.owner==1 and c5.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c8 win card c5")
                updateScore(s1,playerScore,c8)
            elseif(c8.owner==2 and c5.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c8 win card c5")
                updateScore(s2,enemyScore,c8)
            end
        end

        if(c8.eAtk>0 and c9.wAtk>0) and (c8.eAtk>c9.wAtk) then
            if(c8.owner==1 and c9.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c8 win card c9")
                updateScore(s1,playerScore,c8)
            elseif(c8.owner==2 and c9.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c8 win card c9")
                updateScore(s2,enemyScore,c8)
            end
        end
    end
    if(spotSelected==9) then
        if(c9.wAtk>0 and c8.eAtk>0) and (c9.wAtk>c8.eAtk) then
            if(c9.owner==1 and c8.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c9 win card c8")
                updateScore(s1,playerScore,c9)
            elseif(c9.owner==2 and c8.owner==1)then
                enemyScore = enemyScore+1
                print("ENEMY: c9 win card c8")
                updateScore(s2,enemyScore,c9)
            end
        end

        if(c9.nAtk>0 and c6.sAtk>0) and (c9.nAtk>c6.sAtk) then
            if(c9.owner==1 and c6.owner==2) then
                playerScore = playerScore+1
                print("PLAYER: c9 win card c6")
                updateScore(s1,playerScore,c9)
            elseif(c9.owner==2 and c6.owner==1) then
                enemyScore = enemyScore+1
                print("ENEMY: c9 win card c6")
                updateScore(s2,enemyScore,c9)
            end
        end
    end
updateCardImage()
end

function enemyTurn()
    cardSelected = enemyHand[enemyHandPos];
    setCardSelected();
    spotSelectedNum = 0

    for i=1,9 do
        spotSelectedNum = love.math.random(1,9);
        if(cardSpotIsFull[spotSelectedNum] == 0) then
            spotSelected = spotSelectedNum
            break
        end
    end
    cardSpotIsFull[spotSelected] = 1
    --print("card now in place at spot "..cardSpotIsFull[spotSelected])
    print("CARD SELECTED: "..cardSelected.." SPOT SELECTED: "..spotSelected)
    setObjectData()
    enemyHandPos = enemyHandPos+1
    cardSelected = 0
end

function setCardSelected()
    if(cardSelected==1) then
        p1.x = 60
        if(p2.used==0) then
            p2.x = 40
        end
        if(p3.used==0) then
            p3.x = 40
        end
        if(p4.used==0) then
            p4.x = 40
        end
        if(p1.used==0) then
            p5.x = 40
        end
    end
    if(cardSelected==2) then
        if(p1.used==0) then
            p1.x = 40
        end
        p2.x = 60
        if(p3.used==0) then
            p3.x = 40
        end
        if(p4.used==0) then
            p4.x = 40
        end
        if(p5.used==0) then
            p5.x = 40
        end
    end
    if(cardSelected==3) then
        if(p1.used==0) then
            p1.x = 40
        end
        if(p2.used==0) then
            p2.x = 40
        end
        p3.x = 60
        if(p4.used==0) then
            p4.x = 40
        end
        if(p5.used==0) then
            p5.x = 40
        end
    end
    if(cardSelected==4) then
        if(p1.used==0) then
            p1.x = 40
        end
        if(p2.used==0) then
            p2.x = 40
        end
        if(p3.used==0) then
            p3.x = 40
        end
        p4.x = 60
        if(p5.used==0) then
            p5.x = 40
        end
    end
    if(cardSelected==5) then
        if(p1.used==0) then
            p1.x = 40
        end
        if(p2.used==0) then
            p2.x = 40
        end
        if(p3.used==0) then
            p3.x = 40
        end
        if(p4.used==0) then
            p4.x = 40
        end
        p5.x = 60
    end

    if(cardSelected==6) then
        e1.x = 640
        if(e2.used==0) then
            e2.x = 660
        end
        if(e3.used==0) then
            e3.x = 660
        end
        if(e4.used==0) then
            e4.x = 660
        end
        if(e5.used==0) then
            e5.x = 660
        end
    end
    if(cardSelected==7) then
        if(e1.used==0) then
            e1.x = 660
        end
        e2.x = 640
        if(e3.used==0) then
            e3.x = 660
        end
        if(e4.used==0) then
            e4.x = 660
        end
        if(e5.used==0) then
            e5.x = 660
        end
    end
    if(cardSelected==8) then
        if(e1.used==0) then
            e1.x = 660
        end
        if(e2.used==0) then
            e2.x = 660
        end
        e3.x = 640
        if(e4.used==0) then
            e4.x = 660
        end
        if(e5.used==0) then
            e5.x = 660
        end
    end
    if(cardSelected==9) then
        if(e1.used==0) then
            e1.x = 660
        end
        if(e2.used==0) then
            e2.x = 660
        end
        if(e3.used==0) then
            e3.x = 660
        end
        e4.x = 640
        if(e5.used==0) then
            e5.x = 660
        end
    end
    if(cardSelected==10) then
        if(e1.used==0) then
            e1.x = 660
        end
        if(e2.used==0) then
            e2.x = 660
        end
        if(e3.used==0) then
            e3.x = 660
        end
        if(e4.used==0) then
            e4.x = 660
        end
        e5.x = 640
    end
end

function setCardValues(cardObject, cardspotObject)
        cardObject.x, cardObject.y = cardspotObject.x, cardspotObject.y;
        cardspotObject.wAtk, cardspotObject.nAtk, cardspotObject.eAtk, cardspotObject.sAtk, cardspotObject.owner = cardObject.wAtk, cardObject.nAtk, cardObject.eAtk, cardObject.sAtk, cardObject.owner;
        cardObject.used = 1
        cardspotObject.cardPlaced = cardObject.cardID
        print(cardspotObject.cardPlaced)
end

function setObjectData()
cardSpotIsFull[spotSelected] = 1
--print("card now in place at spot "..spotSelected.." and cardfull is "..cardSpotIsFull[spotSelected])

if(spotSelected==1) then

    if(cardSelected==1) then
        setCardValues(p1, c1);
    end
    if(cardSelected==2) then
        setCardValues(p2, c1);
    end
    if(cardSelected==3) then
        setCardValues(p3, c1);
    end
    if(cardSelected==4) then
        setCardValues(p4, c1);
    end
    if(cardSelected==5) then
        setCardValues(p5, c1);
    end
    if(cardSelected==6) then
        setCardValues(e1, c1);
    end
    if(cardSelected==7) then
        setCardValues(e2, c1);
    end
    if(cardSelected==8) then
        setCardValues(e3, c1);
    end
    if(cardSelected==9) then
        setCardValues(e4, c1);
    end
    if(cardSelected==10) then
        setCardValues(e5, c1);
    end
end
if(spotSelected==2) then
    if(cardSelected==1) then
        setCardValues(p1, c2);
    end
    if(cardSelected==2) then
        setCardValues(p2, c2);
    end
    if(cardSelected==3) then
        setCardValues(p3, c2);
    end
    if(cardSelected==4) then
        setCardValues(p4, c2);
    end
    if(cardSelected==5) then
        setCardValues(p5, c2);
    end
    if(cardSelected==6) then
        setCardValues(e1, c2);
    end
    if(cardSelected==7) then
        setCardValues(e2, c2);
    end
    if(cardSelected==8) then
        setCardValues(e3, c2);
    end
    if(cardSelected==9) then
        setCardValues(e4, c2);
    end
    if(cardSelected==10) then
        setCardValues(e5, c2);
    end
end
if(spotSelected==3) then
    if(cardSelected==1) then
        setCardValues(p1, c3);
    end
    if(cardSelected==2) then
        setCardValues(p2, c3);
    end
    if(cardSelected==3) then
        setCardValues(p3, c3);
    end
    if(cardSelected==4) then
        setCardValues(p4, c3);
    end
    if(cardSelected==5) then
        setCardValues(p5, c3);
    end
    if(cardSelected==6) then
        setCardValues(e1, c3);
    end
    if(cardSelected==7) then
        setCardValues(e2, c3);
    end
    if(cardSelected==8) then
        setCardValues(e3, c3);
    end
    if(cardSelected==9) then
        setCardValues(e4, c3);
    end
    if(cardSelected==10) then
        setCardValues(e5, c3);
    end
end
if(spotSelected==4) then
    if(cardSelected==1) then
        setCardValues(p1, c4);
    end
    if(cardSelected==2) then
        setCardValues(p2, c4);
    end
    if(cardSelected==3) then
        setCardValues(p3, c4);
    end
    if(cardSelected==4) then
        setCardValues(p4, c4);
    end
    if(cardSelected==5) then
        setCardValues(p5, c4);
    end
    if(cardSelected==6) then
        setCardValues(e1, c4);
    end
    if(cardSelected==7) then
        setCardValues(e2, c4);
    end
    if(cardSelected==8) then
        setCardValues(e3, c4);
    end
    if(cardSelected==9) then
        setCardValues(e4, c4);
    end
    if(cardSelected==10) then
        setCardValues(e5, c4);
    end
end
if(spotSelected==5) then
    if(cardSelected==1) then
        setCardValues(p1, c5);
    end
    if(cardSelected==2) then
        setCardValues(p2, c5);
    end
    if(cardSelected==3) then
        setCardValues(p3, c5);
    end
    if(cardSelected==4) then
        setCardValues(p4, c5);
    end
    if(cardSelected==5) then
        setCardValues(p5, c5);
    end
    if(cardSelected==6) then
        setCardValues(e1, c5);
    end
    if(cardSelected==7) then
        setCardValues(e2, c5);
    end
    if(cardSelected==8) then
        setCardValues(e3, c5);
    end
    if(cardSelected==9) then
        setCardValues(e4, c5);
    end
    if(cardSelected==10) then
        setCardValues(e5, c5);
    end
end
if(spotSelected==6) then
    if(cardSelected==1) then
        setCardValues(p1, c6);
    end
    if(cardSelected==2) then
        setCardValues(p2, c6);
    end
    if(cardSelected==3) then
        setCardValues(p3, c6);
    end
    if(cardSelected==4) then
        setCardValues(p4, c6);
    end
    if(cardSelected==5) then
        setCardValues(p5, c6);
    end
    if(cardSelected==6) then
        setCardValues(e1, c6);
    end
    if(cardSelected==7) then
        setCardValues(e2, c6);
    end
    if(cardSelected==8) then
        setCardValues(e3, c6);
    end
    if(cardSelected==9) then
        setCardValues(e4, c6);
    end
    if(cardSelected==10) then
        setCardValues(e5, c6);
    end
end
if(spotSelected==7) then
    if(cardSelected==1) then
        setCardValues(p1, c7);
    end
    if(cardSelected==2) then
        setCardValues(p2, c7);
    end
    if(cardSelected==3) then
        setCardValues(p3, c7);
    end
    if(cardSelected==4) then
        setCardValues(p4, c7);
    end
    if(cardSelected==5) then
        setCardValues(p5, c7);
    end
    if(cardSelected==6) then
        setCardValues(e1, c7);
    end
    if(cardSelected==7) then
        setCardValues(e2, c7);
    end
    if(cardSelected==8) then
        setCardValues(e3, c7);
    end
    if(cardSelected==9) then
        setCardValues(e4, c7);
    end
    if(cardSelected==10) then
        setCardValues(e5, c7);
    end
end
if(spotSelected==8) then
    if(cardSelected==1) then
        setCardValues(p1, c8);
    end
    if(cardSelected==2) then
        setCardValues(p2, c8);
    end
    if(cardSelected==3) then
        setCardValues(p3, c8);
    end
    if(cardSelected==4) then
        setCardValues(p4, c8);
    end
    if(cardSelected==5) then
        setCardValues(p5, c8);
    end
    if(cardSelected==6) then
        setCardValues(e1, c8);
    end
    if(cardSelected==7) then
        setCardValues(e2, c8);
    end
    if(cardSelected==8) then
        setCardValues(e3, c8);
    end
    if(cardSelected==9) then
        setCardValues(e4, c8);
    end
    if(cardSelected==10) then
        setCardValues(e5, c8);
    end
end
if(spotSelected==9) then
    if(cardSelected==1) then
        setCardValues(p1, c9);
    end
    if(cardSelected==2) then
        setCardValues(p2, c9);
    end
    if(cardSelected==3) then
        setCardValues(p3, c9);
    end
    if(cardSelected==4) then
        setCardValues(p4, c9);
    end
    if(cardSelected==5) then
        setCardValues(p5, c9);
    end
    if(cardSelected==6) then
        setCardValues(e1, c9);
    end
    if(cardSelected==7) then
        setCardValues(e2, c9);
    end
    if(cardSelected==8) then
        setCardValues(e3, c9);
    end
    if(cardSelected==9) then
        setCardValues(e4, c9);
    end
    if(cardSelected==10) then
        setCardValues(e5, c9);
    end
end

compareCardValues()

end

function love.load()
    love.window.setTitle("TripleTriad Ultimate")
    bg = love.graphics.newImage( '/images/playmat.png' )

    spots = {}
    for i=1,9 do
      spots[i] = Cardspot:new("fancy", 0, 0, 0, 0)
      spots[i].x = 220 + (i%3)*130
      spots[i].y = 120 + math.floor(i/3)*150
    end

    playerHand = {"bitebug","blobra","bloodsoul","caterchipillar","cockatrice"}
    enemyHand = {}
    for i=0,5 do
        enemyHand[i] = Cards[love.math.random(1, 11)]
    end

    playercardsOnTable = {}
    for i=1,5 do
      playercardsOnTable[i] = getCard(playerHand[i])
      playercardsOnTable.x = 40
      playercardsOnTable.y = 100+i*60
      playercardsOnTable.owner = "blue"
    end
    enemycardsOnTable = {}
    for i=6,10 do
      enemycardsOnTable[i] = getCard(enemyHand[i-5])
      enemycardsOnTable.x = 660
      enemycardsOnTable.y = 100+i*60
      enemycardsOnTable.owner = "red"
    end

    s = {
      Score:new(playerScore), 
      Score:new(enemyScore)
    }
    s[1].x, s[1].y = 80, 50
    s[2].x, s[2].y = 700, 50

    if gameStarted == 0 then
        turn = love.math.random(1,2)
        print(turn)
    end

    if turn == 2 then
        --enemyTurn()
    end
end

Cards = {"bitebug", "blobra", "bloodsoul", "caterchipillar", "cockatrice", "fastitocalonf", "funguar", "gayla", "geezard", "gesper", "redbat"}
-- to get PlayerCards do: Cards[i]
-- to get EnemyCards do: 'r' .. Cards[i]

local cardTemplate = {
  bitebug        = {5,1,3,3},
  blobra         = {5,2,3,1},
  bloodsoul      = {1,2,1,6},
  caterchipillar = {3,4,2,4},
  cockatrice     = {6,2,1,2},
  fastitocalonf  = {1,3,5,2},
  funguar        = {3,5,1,1},
  gayla          = {4,2,1,4},
  geezard        = {5,1,4,1},
  gesper         = {1,1,5,4},
  redbat         = {2,6,1,1},
}
function getCard(name, owner)
  local filename = name
  if (owner == "red") then 
    filename = "r" .. filename 
    end
  return Card:new(filename, cardTemplate[0], cardTemplate[1], cardTemplate[2], cardTemplate[3])
end

function love.draw()
    love.graphics.draw(bg, 0, 0)

    for i, o in ipairs(spots) do
      love.graphics.draw(o.image, o.x, o.y)
    end
    for i, o in ipairs(playerHand) do
      love.graphics.draw(o.image, o.x, o.y)
    end
    for i, o in ipairs(enemyHand) do
      love.graphics.draw(o.image, o.x, o.y)
    end
    for i, o in ipairs(playercardsOnTable) do
      love.graphics.draw(o.image, o.x, o.y)
    end
    for i, o in ipairs(enemycardsOnTable) do
      love.graphics.draw(o.image, o.x, o.y)
    end
end
   	
function love.mousepressed(x, y, button)
if button == "l" then
    --PlayerCards
    if (x > 40 and x < 140) and (y>100 and y<160) then
        if(p1.used == 0) then
            cardSelected = 1;
            setCardSelected();
            --print("playercard clicked at "..x,y.." card selected "..cardSelected)
        end
    end
    if (x > 40 and x < 140) and (y>160 and y<220) then
        if(p2.used == 0) then
            cardSelected = 2;
            setCardSelected();
        end
    end
    if (x > 40 and x < 140) and (y>220 and y<280) then
        if(p3.used == 0) then
            cardSelected = 3;
            setCardSelected();
        end
    end
    if (x > 40 and x < 140) and (y>280 and y<340) then
        if(p4.used == 0) then
            cardSelected = 4;
            setCardSelected();
        end
    end
    if (x > 40 and x < 140) and (y>340 and y<460) then
        if(p5.used == 0) then
            cardSelected = 5;
            setCardSelected();
        end
    end
    --Cardspots
    if (x > 220 and x < 320) and (y>120 and y<247) then
        --print("cardspot 1 clicked at "..x,y)
        spotSelected = 1;
        setObjectData()
        enemyTurn()
        
    end
    if (x > 350 and x < 450) and (y>120 and y<247) then
        --print("cardspot 2 clicked at "..x,y)
        spotSelected = 2;
        setObjectData()
        enemyTurn()   
    end
    if (x > 480 and x < 580) and (y>120 and y<247) then
        --print("cardspot 3 clicked at "..x,y)
        spotSelected = 3;
        setObjectData()
        enemyTurn()        
    end
    if (x > 220 and x < 320) and (y>270 and y<397) then
        --print("cardspot 4 clicked at "..x,y)
        spotSelected = 4;
        setObjectData()
        enemyTurn()       
    end
    if (x > 350 and x < 450) and (y>270 and y<397) then
        --print("cardspot 5 clicked at "..x,y)
        spotSelected = 5;
        setObjectData()
        enemyTurn()        
    end
    if (x > 480 and x < 580) and (y>270 and y<397) then
        --print("cardspot 6 clicked at "..x,y)
        spotSelected = 6;
        setObjectData()
        enemyTurn()       
    end
    if (x > 220 and x < 320) and (y>420 and y<547) then
        --print("cardspot 7 clicked at "..x,y)
        spotSelected = 7;
        setObjectData()
        enemyTurn()        
    end
    if (x > 350 and x < 450) and (y>420 and y<547) then
        --print("cardspot 8 clicked at "..x,y)
        spotSelected = 8;
        setObjectData()
        enemyTurn()       
    end
    if (x > 480 and x < 580) and (y>420 and y<547) then
        --print("cardspot 9 clicked at "..x,y)
        spotSelected = 9;
        setObjectData()
        enemyTurn()      
    end
end

end
